%define major    1
%define libname  %mklibname rdmacm %major
%define libdevel %mklibname rdmacm -d

Name:           librdmacm
Version:        1.1.0
Release:        %mkrel 4
Summary:        Userspace RDMA Connection Manager
Group:          System/Libraries
License:        GPLv2 or BSD
Url:            http://www.openfabrics.org/
Source0:        http://www.openfabrics.org/downloads/rdmacm/%{name}-%{version}.tar.gz
Patch0:         librdmacm-1.1.0-linking.patch
ExcludeArch:    s390 s390x
BuildRequires:  libibverbs-devel > 1.1.4
BuildRequires:  chrpath

%description
librdmacm provides a userspace RDMA Communication Managment API.

%package -n     %libname
Summary:        Userspace RDMA Connection Manager
Group:          System/Libraries

%description -n %libname
librdmacm provides a userspace RDMA Communication Managment API.

%package -n     %libdevel
Summary:        Development files for the librdmacm library
Group:          System/Libraries
Provides:       %name-devel = %{version}-%{release}
Provides:       rdmacm-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %libdevel
Development files for the librdmacm library.

%package        utils
Summary:        Examples for the librdmacm library
Group:          System/Libraries

%description    utils
Example test programs for the librdmacm library.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# remove unpackaged files from the buildroot
find %{buildroot} -name '*.la' -delete
# kill rpaths
chrpath -d %{buildroot}%{_bindir}/*

%files -n %libname
%{_libdir}/librdmacm.so.%{major}{,.*}
%dir %{_libdir}/rsocket
%{_libdir}/rsocket/librspreload.so.%{major}{,.*}
%doc AUTHORS COPYING README

%files -n %libdevel
%{_libdir}/lib*.so
%{_libdir}/rsocket/librspreload.so
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files utils
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1514389
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-3.mga7
+ Revision: 1299121
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.1.0-2.mga7
+ Revision: 1235773
- fix build on aarch64
- add patch to fix linking

* Fri Apr 20 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1220466
- new version: 1.1.0
- remove merged upstream patches

* Mon Feb 08 2016 umeabot <umeabot> 1.0.15-9.mga6
+ Revision: 946071
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.15-8.mga5
+ Revision: 745848
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.15-7.mga5
+ Revision: 681750
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.15-6.mga4
+ Revision: 522202
- Mageia 4 Mass Rebuild

* Wed Feb 13 2013 luigiwalser <luigiwalser> 1.0.15-5.mga3
+ Revision: 398275
- rediff upstream patch to fix CVE-2012-4516

* Sat Jan 19 2013 fwang <fwang> 1.0.15-4.mga3
+ Revision: 389640
- fix build with latest automake
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 1.0.15-3.mga3
+ Revision: 314064
- fix requires

* Sun Nov 04 2012 neoclust <neoclust> 1.0.15-2.mga3
+ Revision: 314045
- Fix provides in the devel package

* Sun Nov 04 2012 neoclust <neoclust> 1.0.15-1.mga3
+ Revision: 313945
- imported package librdmacm


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 03 2012 Doug Ledford <dledford@redhat.com> - 1.0.15-1
- Update to latest upstream tarball
- Add in latest git commits as patches

* Wed Jul 20 2011 Doug Ledford <dledford@redhat.com> - 1.0.14.1-1
- Update to latest upstream release
- Rebuild against latest libibverbs

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 19 2010 Doug Ledford <dledford@redhat.com> - 1.0.10-3
- Fix up link problem caused by change to default DSO linking (bz564870)

* Mon Jan 11 2010 Doug Ledford <dledford@redhat.com> - 1.0.10-2
- ExcludeArch s390(x) as the hardware doesn't exist there

* Thu Dec 03 2009 Doug Ledford <dledford@redhat.com> - 1.0.10-1
- Update to latest upstream release
- Change Requires on -devel package (bz533937)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Mar 29 2008 Roland Dreier <rolandd@cisco.com> - 1.0.7-1
- New upstream release

* Fri Feb 22 2008 Roland Dreier <rdreier@cisco.com> - 1.0.6-2
- Spec file cleanups from Fedora review: add BuildRequires for
  libibverbs, and move the static library to -static.

* Fri Feb 15 2008 Roland Dreier <rdreier@cisco.com> - 1.0.6-1
- Initial Fedora spec file

